# variant_get_type

(PHP 5, PHP 7)

variant_get_type — Returns the type of a variant object

### Description

variant_get_type ( variant `$variant` ) : int

Returns the type of a variant object.

### Parameters

`variant`

  The variant object.

### Return Values

This function returns an integer value that indicates the type of `variant`, which can be an instance of com, dotnet or variant classes. The return value can be compared to one of the `VT_XXX` constants.

The return value for COM and DOTNET objects will usually be `VT_DISPATCH`; the only reason this function works for those classes is because COM and DOTNET are descendants of VARIANT.

### See Also

- variant_set_type() - Convert a variant into another type "in-place"